// ServiceX25Svc.h: interface for the CServiceX25Svc class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SERVICEX25SVC_H__7874BCA3_2E04_11D2_8517_0040052F0B6E__INCLUDED_)
#define AFX_SERVICEX25SVC_H__7874BCA3_2E04_11D2_8517_0040052F0B6E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "ServiceBase.h"

class SERVICE_EXPORTED_CLASS CServiceX25Svc : public CServiceBase  
{
	DECLARE_DYNAMIC(CServiceX25Svc)
public:
	CServiceX25Svc(HKEY const hKeyRoot, CString const strRegPath, CConfigObject const * const pParent);
	virtual ~CServiceX25Svc();

   virtual BOOL BuildDisplayTree(CTreeNode * const pNode);

   virtual BOOL GetParameters(void);
	virtual BOOL SetParameters(void);
	virtual BOOL RemoveParameters(BOOL fRemoveKey = FALSE);
	virtual CString GetInformationText(void);

	// Unused in this implementation
	virtual BOOL AddWizardPages(CConfigWizSheet * const pSheet) {return TRUE;}
	virtual BOOL AddChild(void) {ASSERT(FALSE);return FALSE;}
    virtual BOOL DeleteChild(CConfigObject const * const pChild) {ASSERT(FALSE);return FALSE;}

private:
	int GetAvailableSVCs(void);
   int m_nExistingEndPoints;

};

#endif // !defined(AFX_SERVICEX25SVC_H__7874BCA3_2E04_11D2_8517_0040052F0B6E__INCLUDED_)
